package com.qmth.eds.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.eds.bean.dto.ExamAssignDto;
import com.qmth.eds.bean.result.AssignResultPreviewResult;
import com.qmth.eds.common.entity.ExamAssign;

import java.util.Map;

/**
 * <p>
 * 赋分管理 服务类
 * </p>
 */
public interface ExamAssignService extends IService<ExamAssign> {


    IPage<ExamAssignDto> pageData(Long semesterId, Long examTypeId, String courseCode, Integer pageNumber, Integer pageSize);

    boolean calcData(ExamAssign examAssign);

    /**
     * 赋分结果预览
     *
     * @param iPage
     * @param collegeName
     * @param clazzId
     * @param teacherCode
     * @return
     */
    IPage<AssignResultPreviewResult> assignResultPreview(IPage<Map> iPage, String collegeName, String clazzId, String teacherCode);

    Map contrast(Long semesterId, Long examTypeId, String courseCode);

    ExamAssignDto toCalc(Long semesterId, Long examTypeId, String courseCode, String courseName, String openCollege);
}
